summaryrefslogtreecommitdiffstats
path: root/utils/lab-reconfiguration/create_venv.sh
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2015-07-22 19:18:05 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2015-07-22 19:18:05 +0000
commit301323306e283d1da44210918867777352d8efa7 (patch)
tree8753b373736aa9263682bd1b3b29804c0d8c00dc /utils/lab-reconfiguration/create_venv.sh
parent80407058601af3ad6f3adca814858555768dddf9 (diff)
parent2beb18fbd56e7474e6da103634ce1feb697a4965 (diff)
Merge "Script for reconfiguring UCS network"
Diffstat (limited to 'utils/lab-reconfiguration/create_venv.sh')
-rwxr-xr-xutils/lab-reconfiguration/create_venv.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/utils/lab-reconfiguration/create_venv.sh b/utils/lab-reconfiguration/create_venv.sh
new file mode 100755
index 000000000..19d9b49c4
--- /dev/null
+++ b/utils/lab-reconfiguration/create_venv.sh
@@ -0,0 +1,35 @@
+#!/bin/bash -e
+
+# Script checks that venv exists. If it doesn't it will be created
+# It requires python2.7 and virtualenv packages installed
+
+BASEDIR=`dirname $0`
+
+function venv_install() {
+ if command -v virtualenv-2.7; then
+ virtualenv-2.7 $1
+ elif command -v virtualenv2; then
+ virtualenv2 $1
+ elif command -v virtualenv; then
+ virtualenv $1
+ else
+ echo Cannot find virtualenv command.
+ return 1
+ fi
+}
+
+# exit when something goes wrong during venv install
+set -e
+if [ ! -d "$BASEDIR/venv" ]; then
+ venv_install $BASEDIR/venv
+ echo "Virtualenv created."
+fi
+
+if [ ! -f "$BASEDIR/venv/updated" -o $BASEDIR/requirements.pip -nt $BASEDIR/venv/updated ]; then
+ source $BASEDIR/venv/bin/activate
+ pip install -r $BASEDIR/requirements.pip
+ touch $BASEDIR/venv/updated
+ echo "Requirements installed."
+ deactivate
+fi
+set +e